package com.malk.zyjn.service;

import com.malk.server.common.McR;
import org.springframework.scheduling.annotation.Async;

import javax.servlet.http.HttpServletResponse;

public interface ZyjnService {
    McR getDeptAttendanceSheet(String userId, String userName, String deptId, Long date,String deptName);

    void download(String fileName, HttpServletResponse response);

    @Async
    void updateDeptAttendanceSheet(String formInstId);
}
